body {
   padding-top: 56px;
}

#content {
  margin-top: 1em;
}

.navbar-brand span {
  color: cyan;
}

.img-thumbnail {
  object-fit: cover;
  height: 250px;
}

i.fa {
  margin-right: 0.25em;
}

.empty {
  vertical-align: top;
  min-height: 1px;
  min-width:1px;
} 

.empty::after {
  content: '\200b' !important;
}


button +button {
  margin-left: 8px;
}

.lock {
  pointer-events:none;
  opacity: 0.6;
}

nav {
  margin-bottom: 0.5em;
}

.clickable-row.active {
  background-color: #DDDDDD !important;
  border-left: 4px solid red !important;
}

.gridbuts,
.formbuts {
  background: lightslategray;
  padding: 6px;
  border-radius: 4px;
}

.grid > .table {
  margin-bottom: 0px;
}

tr.clickable-row:last-child {
  border-bottom: 1px solid #DDDDDD;
}

/* Set a fixed scrollable wrapper */
.tablewrap {
  overflow: auto;
  /* border-left: 1px solid #dee2e6; */
}

.tablewrap tbody tr {
  /* border-left: 8px solid transparent; */
}

/* Set header to stick to the top of the container. */
.tablewrap thead tr th {
  position: sticky;
  top: 0;
}

.tablewrap table {
 border-collapse: collapse;
 width: 100%;
}

.tab-pane {
  padding: 0.5em;
}

.table tbody td,
.table thead th {
  white-space: nowrap;
  font-weight: 300;
}

.form-group label {
  font-weight: 500;
  margin-bottom: 0;
}

.alert.alert-sm {
  padding: .25rem 0.75rem;
  margin-bottom: .5rem;
}

table.table-fixed {
  table-layout: fixed;
}

table.table-fixed tbody tr td,
table.table-fixed thead tr th {
  white-space: nowrap; 
  overflow: hidden;
}

.table .thead-dark th {
  border-color: dimgray;
}

.nav-link i.fa {
  margin-right: 4px;
}

iframe {
  border: none;
  width: -webkit-fill-available;
  height: -webkit-fill-available;
}

fieldset {
  border: 1px solid #DDDDDD;
  padding: 10px;
  margin-bottom: 1em;
}

fieldset > legend {
  font-size: large;
  width: auto;
  max-width: 100%;
  padding: 0 10px;
  color: darkcyan;
}

.form-control.is-invalid, .was-validated .form-control:invalid,
.form-control.is-valid, .was-validated .form-control:valid {
  background-position: right calc(.8em + .1875rem) center;
}

.hide {
  display: none;
}

.show {
  display: initial;
}

label {
  text-transform: capitalize;
}

.one {
  column-count: 1;
}

.two {
  column-count: 2;
}

.three {
  column-count: 3;
}

.four {
  column-count: 4;
}

.five {
  column-count: 5;
}

.six {
  column-count: 6;
}

.form-control:disabled, .form-control[readonly] {
  background-color: aliceblue;
}

a i.fa {
  margin-right: 0.25em;
}

.dropdown-item {
  cursor:pointer
}

